taffybar-3.2.2: A desktop bar similar to xmobar, but with more GUI

Safe Haskell | None
Language | Haskell2010

System.Taffybar.Information.Chrome

# Documentation

logIO :: Priority -> String -> IO () Source #

data ChromeTabImageData Source #

Constructors

ChromeTabImageData |

Fields

- tabImageData :: Pixbuf
- tabImageDataId :: Int

newtype ChromeTabImageDataState Source #

Constructors

ChromeTabImageDataState (MVar (Map Int ChromeTabImageData), BroadcastChan Out ChromeTabImageData) |

getChromeTabImageDataState :: TaffyIO ChromeTabImageDataState Source #

getChromeTabImageDataChannel :: TaffyIO (BroadcastChan Out ChromeTabImageData) Source #

getChromeTabImageDataTable :: TaffyIO (MVar (Map Int ChromeTabImageData)) Source #

newtype ChromeFaviconServerPort Source #

Constructors

ChromeFaviconServerPort Int |

listenForChromeFaviconUpdates :: Int -> TaffyIO ChromeTabImageDataState Source #

newtype X11WindowToChromeTabId Source #

Constructors

X11WindowToChromeTabId (MVar (Map X11Window Int)) |

getX11WindowToChromeTabId :: TaffyIO X11WindowToChromeTabId Source #

maintainX11WindowToChromeTabId :: TaffyIO (MVar (Map X11Window Int)) Source #

tabIDRegex :: Regex Source #

getTabIdFromTitle :: String -> Maybe Int Source #

addTabIdEntry :: Map X11Window Int -> (X11Window, String) -> Map X11Window Int Source #

updateTabMap :: Map X11Window Int -> TaffyIO (Map X11Window Int) Source #